/*
 * SPDX-FileCopyrightText: 2020-2022 Bruce Cowan <bruce@bcowan.me.uk>
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#pragma once

#include "rugby-app-window.h"

#include <adwaita.h>

G_BEGIN_DECLS

#define RUGBY_TYPE_PREF_WINDOW (rugby_pref_window_get_type())

G_DECLARE_FINAL_TYPE (RugbyPrefWindow, rugby_pref_window, RUGBY, PREF_WINDOW, AdwPreferencesWindow)

RugbyPrefWindow *rugby_pref_window_new (RugbyAppWindow *window);

G_END_DECLS
